Bug 206328 - Implement deadlock detector
Implement deadlock detector
Status: RESOLVED FIXED
Product: ide
Classification: Unclassified
Component: Performance
7.1
PC All
: P3 (vote)
: 7.4
Assigned To: David Strupl
issues@performance
:
Depends on: 227668
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-13 13:41 UTC by Petr Cyhelsky
Modified: 2013-05-18 02:54 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Cyhelsky 2011-12-13 13:41:57 UTC

    
Comment 1 David Strupl 2013-03-15 08:43:35 UTC
I have some creative ideas how to implement it ;-) I will create a prototype for review ...
Comment 2 David Strupl 2013-03-16 14:15:20 UTC
http://hg.netbeans.org/prototypes/rev/60f836cb0a8b

If anyone wants to try please check out the prototypes repository on branch deadlock_detector_206328, run the (only) test in the module and you will see how the deadlocks are submitted. Feedback welcome ;-)
Comment 3 David Strupl 2013-03-16 14:16:49 UTC
The status is now started ...
Comment 4 David Strupl 2013-03-16 14:18:42 UTC
One word of explanation: I did not include the whole thread dump in the URL because some web browsers (most notably IE) have some limits on URL length. So the thread dump is saved into a file and the user is asked to paste the thread dump into the newly created issue. At the same time I open the text editor with the thread dump ;-)
Comment 5 David Strupl 2013-05-13 15:35:13 UTC
One more change: the thread dump is generated directly into the logger - no need to create a separate file or submit it by the user. The exception reporter will find the log entries in the log and report them on the subsequent start.

I am preparing to merge the branch into the trunk after 227668 was integrated.
Comment 6 David Strupl 2013-05-16 14:38:42 UTC
http://hg.netbeans.org/jet-main/rev/9f404786be01
Comment 7 Quality Engineering 2013-05-18 02:54:15 UTC
Integrated into 'main-golden', will be available in build *201305172300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/60f836cb0a8b
User: David Strupl <dstrupl@netbeans.org>
Log: #206328: Initial implementation of deadlock detector and reporter.
(transplanted from 018346b67ccd805ff3785d6c63621858748731d8)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo